# pion::PionBlob< CharType, AllocType >::BlobData Struct Reference

`#include <PionBlob.hpp>`

List of all members.

## Detailed Description

### template<typename CharType, typename AllocType>
struct pion::PionBlob< CharType, AllocType >::BlobData

structure used to store BLOB metadata; payload starts immediately following this

Definition at line 31 of file PionBlob.hpp.

## Public Member Functions

| BlobData (AllocType &blob_alloc, const std::size_t len)
| constructor takes allocator and size (in octets) of BLOB
const CharType * | get (void) const
| returns (const) reference to the BLOB payload
CharType * | get (void)
| returns (non-const) reference to the BLOB payload

## Public Attributes

AllocType *const | m_alloc_ptr
| pointer to the allocator used by the BLOB
const std::size_t | m_len
| size of the BLOB, in octets
boost::detail::atomic_count | m_copies
| number of copies referencing this BLOB

The documentation for this struct was generated from the following file:

- common/include/pion/PionBlob.hpp